/*-- ALTER SCRIPT --*/
/*
Model         SAS Financial Crimes Monitor 2.3M1
DBMS          DB2
Updated       July  2012
*/   

/* Modifications for FCM 2.3M1 Release */

ALTER TABLE "FCM_SEQUENCE" ALTER COLUMN "LAST_VAL"  SET DATA TYPE NUMERIC(19) ;
REORG TABLE "FCM_SEQUENCE";

ALTER TABLE "FCM_ALERT_ENTITY" ALTER COLUMN "N_ALERTS_SCORE_NO" SET DATA TYPE NUMERIC(10,4);

/*REORG TABLE "FCM_ALERT_ENTITY";*/
ALTER TABLE "FCM_ALERT_ENTITY" ALTER COLUMN "AMT_LOSS_SCORE_NO" SET DATA TYPE NUMERIC (10,4);

/*REORG TABLE "FCM_ALERT_ENTITY";*/
ALTER TABLE "FCM_ALERT_ENTITY" ALTER COLUMN "SEVERITY_SCORE_NO" SET DATA TYPE NUMERIC (10,4);

/*REORG TABLE "FCM_ALERT_ENTITY";*/
ALTER TABLE "FCM_ALERT_ENTITY" ALTER COLUMN "ACTIONABLE_ENTITY_SCORE_NO" SET DATA TYPE NUMERIC (10,4);

/*REORG TABLE "FCM_ALERT_ENTITY";*/
ALTER TABLE "ALERT_SUMMARY" ALTER COLUMN "N_ALERTS_SCORE_NO" SET DATA TYPE NUMERIC (10,4);

/*REORG TABLE "ALERT_SUMMARY";*/
ALTER TABLE "ALERT_SUMMARY" ALTER COLUMN "AMT_LOSS_SCORE_NO" SET DATA TYPE NUMERIC (10,4);

/*REORG TABLE "ALERT_SUMMARY";*/
ALTER TABLE "ALERT_SUMMARY" ALTER COLUMN "SEVERITY_SCORE_NO" SET DATA TYPE NUMERIC (10,4);

/*REORG TABLE "ALERT_SUMMARY";*/
ALTER TABLE "ALERT_SUMMARY" ALTER COLUMN "ACTIONABLE_ENTITY_SCORE_NO" SET DATA TYPE NUMERIC (10,4);

/*REORG TABLE "ALERT_SUMMARY";*/
ALTER TABLE "ALERT_SUMMARY" ADD COLUMN "OVERALL_ACTIONABLE_ENTITY_SCR" SET DATA TYPE NUMERIC(12,8);

/*REORG TABLE "FCM_ALERT_ENTITY";*/
ALTER TABLE "FCM_ALERT_ENTITY" ADD COLUMN "OVERALL_ACTIONABLE_ENTITY_SCR" SET DATA TYPE NUMERIC(12,8);

/*REORG TABLE "ALERT_SUMMARY";*/
ALTER TABLE "ALERT_SUMMARY" DROP COLUMN "ACTIONABLE_ENTITY_RANK_NO" ;

/*REORG TABLE "ALERT_ENTITY";*/
ALTER TABLE "FCM_ALERT_ENTITY" DROP COLUMN "ACTIONABLE_ENTITY_RANK_NO" ;

DROP TABLE "FCM_ALERT_RISK_FACTOR";
